<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-665"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20KOTabBar%E7%B1%BB%20%E5%8F%82%E8%80%83"></a><title>XHXKit: KOTabBar类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('interface_k_o_tab_bar.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-static-methods">类方法</a> |
<a href="interface_k_o_tab_bar-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">KOTabBar类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_k_o_tab_bar_8h_source.html">KOTabBar.h</a>&gt;</code></p>
<div class="dynheader">
类 KOTabBar 继承关系图:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_k_o_tab_bar.png" usemap="#KOTabBar_map" alt=""/>
  <map id="KOTabBar_map" name="KOTabBar_map">
<area href="interface_x_h_x_tabbar.html" alt="XHXTabbar" shape="rect" coords="0,56,79,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
类方法</h2></td></tr>
<tr class="memitem:a5ef0ade305a8f9da3f7d38f539886b45"><td class="memItemLeft" align="right" valign="top">(instancetype)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_k_o_tab_bar.html#a5ef0ade305a8f9da3f7d38f539886b45">tabBar</a></td></tr>
<tr class="separator:a5ef0ade305a8f9da3f7d38f539886b45"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table><table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
额外继承的成员函数</h2></td></tr>
<tr class="inherit_header pub_methods_interface_x_h_x_tabbar"><td colspan="2" onclick="javascript:toggleInherit(&#39;pub_methods_interface_x_h_x_tabbar&#39;)"><img src="closed.png" alt="-"/>&nbsp;构造函数 继承自 <a class="el" href="interface_x_h_x_tabbar.html">XHXTabbar</a></td></tr>
<tr class="memitem:acfd1ca9501397500ff3b4dfb2ef6ce15 inherit pub_methods_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">(<a class="el" href="interface_x_h_x_tab_item.html">XHXTabItem</a> *)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#acfd1ca9501397500ff3b4dfb2ef6ce15">selectedItem</a></td></tr>
<tr class="separator:acfd1ca9501397500ff3b4dfb2ef6ce15 inherit pub_methods_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:abe90e67ab18946cc5324b5543627f55d inherit pub_methods_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#abe90e67ab18946cc5324b5543627f55d">setTitles:</a></td></tr>
<tr class="separator:abe90e67ab18946cc5324b5543627f55d inherit pub_methods_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a2f3d7862d354fbc676faf051a30a5de3 inherit pub_methods_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#a2f3d7862d354fbc676faf051a30a5de3">setIndicatorInsets:tapSwitchAnimated:</a></td></tr>
<tr class="separator:a2f3d7862d354fbc676faf051a30a5de3 inherit pub_methods_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a84895d39031a0af0f7e9c60cee8c589a inherit pub_methods_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#a84895d39031a0af0f7e9c60cee8c589a">setIndicatorSize:tapSwitchAnimated:</a></td></tr>
<tr class="separator:a84895d39031a0af0f7e9c60cee8c589a inherit pub_methods_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a3120365b63b1ca225322ac8dbbba1bf6 inherit pub_methods_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#a3120365b63b1ca225322ac8dbbba1bf6">setIndicatorPosition:tapSwitchAnimated:</a></td></tr>
<tr class="separator:a3120365b63b1ca225322ac8dbbba1bf6 inherit pub_methods_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a04b146d2d9a00eea9029c0760d645dff inherit pub_methods_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#a04b146d2d9a00eea9029c0760d645dff">setIndicatorWidthFixTextAndMarginTop:marginBottom:tapSwitchAnimated:</a></td></tr>
<tr class="separator:a04b146d2d9a00eea9029c0760d645dff inherit pub_methods_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:acf0eeac5ee883e0eaca1b58139b10e04 inherit pub_methods_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#acf0eeac5ee883e0eaca1b58139b10e04">setItemContentHorizontalCenterWithVerticalOffset:spacing:</a></td></tr>
<tr class="separator:acf0eeac5ee883e0eaca1b58139b10e04 inherit pub_methods_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a85c939bc6e654d12c1a809486e74f40e inherit pub_methods_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#a85c939bc6e654d12c1a809486e74f40e">setNumberBadgeMarginTop:centerMarginRight:titleHorizonalSpace:titleVerticalSpace:</a></td></tr>
<tr class="separator:a85c939bc6e654d12c1a809486e74f40e inherit pub_methods_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a447abd7695d499b7a92fdd752df9b298 inherit pub_methods_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#a447abd7695d499b7a92fdd752df9b298">setDotBadgeMarginTop:centerMarginRight:sideLength:</a></td></tr>
<tr class="separator:a447abd7695d499b7a92fdd752df9b298 inherit pub_methods_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a084470d2209a9b1dbd3c006f24fe1d0a inherit pub_methods_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#a084470d2209a9b1dbd3c006f24fe1d0a">setTabItemsVerticalLayout</a></td></tr>
<tr class="separator:a084470d2209a9b1dbd3c006f24fe1d0a inherit pub_methods_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a5e59707edd0d9a341634d9b8b572d993 inherit pub_methods_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#a5e59707edd0d9a341634d9b8b572d993">setTabItemsVerticalLayoutWithItemHeight:</a></td></tr>
<tr class="separator:a5e59707edd0d9a341634d9b8b572d993 inherit pub_methods_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a8e637221e2895597c5549fc5bd24e75d inherit pub_methods_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#a8e637221e2895597c5549fc5bd24e75d">setScrollEnabledAndItemWidth:</a></td></tr>
<tr class="separator:a8e637221e2895597c5549fc5bd24e75d inherit pub_methods_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a7d2b891b6c4149ed725c7d6060e0eb0f inherit pub_methods_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#a7d2b891b6c4149ed725c7d6060e0eb0f">setScrollEnabledAndItemFitTextWidthWithSpacing:</a></td></tr>
<tr class="separator:a7d2b891b6c4149ed725c7d6060e0eb0f inherit pub_methods_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ad35ad078a3b2bc98d5684d4d403f488e inherit pub_methods_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#ad35ad078a3b2bc98d5684d4d403f488e">setScrollEnabledAndItemFitTextWidthWithSpacing:minWidth:</a></td></tr>
<tr class="separator:ad35ad078a3b2bc98d5684d4d403f488e inherit pub_methods_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a3d945b098a2c27d15f387dc9c0619a27 inherit pub_methods_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">(void)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_x_h_x_tabbar.html#a3d945b098a2c27d15f387dc9c0619a27">updateSubViewsWhenParentScrollViewScroll:</a></td></tr>
<tr class="separator:a3d945b098a2c27d15f387dc9c0619a27 inherit pub_methods_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="inherit_header properties_interface_x_h_x_tabbar"><td colspan="2" onclick="javascript:toggleInherit(&#39;properties_interface_x_h_x_tabbar&#39;)"><img src="closed.png" alt="-"/>&nbsp;属性 继承自 <a class="el" href="interface_x_h_x_tabbar.html">XHXTabbar</a></td></tr>
<tr class="memitem:ab3e65e6a08789fb89c27445cf5e0dba0 inherit properties_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">id&lt; <a class="el" href="protocol_x_h_x_tabbar_delegate-p.html">XHXTabbarDelegate</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#ab3e65e6a08789fb89c27445cf5e0dba0">delegate</a></td></tr>
<tr class="separator:ab3e65e6a08789fb89c27445cf5e0dba0 inherit properties_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:afbfabce47d56f30217ee488b6bda2a1e inherit properties_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">NSArray&lt; <a class="el" href="interface_x_h_x_tab_item.html">XHXTabItem</a> * &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#afbfabce47d56f30217ee488b6bda2a1e">items</a></td></tr>
<tr class="separator:afbfabce47d56f30217ee488b6bda2a1e inherit properties_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ab61cd8f6987abbc9fb6ab953cc39c3b3 inherit properties_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">UIColor *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#ab61cd8f6987abbc9fb6ab953cc39c3b3">indicatorColor</a></td></tr>
<tr class="memdesc:ab61cd8f6987abbc9fb6ab953cc39c3b3 inherit properties_interface_x_h_x_tabbar"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">指示器颜色  <a href="interface_x_h_x_tabbar.html#ab61cd8f6987abbc9fb6ab953cc39c3b3">更多...</a><br/></td></tr>
<tr class="separator:ab61cd8f6987abbc9fb6ab953cc39c3b3 inherit properties_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a8f6cd4d65bbef86bdf40025e700bba71 inherit properties_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">UIImage *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#a8f6cd4d65bbef86bdf40025e700bba71">indicatorImage</a></td></tr>
<tr class="memdesc:a8f6cd4d65bbef86bdf40025e700bba71 inherit properties_interface_x_h_x_tabbar"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">指示器图片  <a href="interface_x_h_x_tabbar.html#a8f6cd4d65bbef86bdf40025e700bba71">更多...</a><br/></td></tr>
<tr class="separator:a8f6cd4d65bbef86bdf40025e700bba71 inherit properties_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a12d3f4746b4acba69f9cff3fb09341bb inherit properties_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#a12d3f4746b4acba69f9cff3fb09341bb">indicatorRadius</a></td></tr>
<tr class="memdesc:a12d3f4746b4acba69f9cff3fb09341bb inherit properties_interface_x_h_x_tabbar"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">指示器圆角  <a href="interface_x_h_x_tabbar.html#a12d3f4746b4acba69f9cff3fb09341bb">更多...</a><br/></td></tr>
<tr class="separator:a12d3f4746b4acba69f9cff3fb09341bb inherit properties_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:adee6a516a5fb149e96e648f4df5dd71d inherit properties_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">UIColor *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#adee6a516a5fb149e96e648f4df5dd71d">itemTitleColor</a></td></tr>
<tr class="memdesc:adee6a516a5fb149e96e648f4df5dd71d inherit properties_interface_x_h_x_tabbar"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">标题颜色  <a href="interface_x_h_x_tabbar.html#adee6a516a5fb149e96e648f4df5dd71d">更多...</a><br/></td></tr>
<tr class="separator:adee6a516a5fb149e96e648f4df5dd71d inherit properties_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:aa90ed32ff3e9159bd9ef774120baad42 inherit properties_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">UIColor *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#aa90ed32ff3e9159bd9ef774120baad42">itemTitleSelectedColor</a></td></tr>
<tr class="memdesc:aa90ed32ff3e9159bd9ef774120baad42 inherit properties_interface_x_h_x_tabbar"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">选中时标题颜色  <a href="interface_x_h_x_tabbar.html#aa90ed32ff3e9159bd9ef774120baad42">更多...</a><br/></td></tr>
<tr class="separator:aa90ed32ff3e9159bd9ef774120baad42 inherit properties_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ac77c5041eabf4225149e38687fc2c720 inherit properties_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">UIFont *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#ac77c5041eabf4225149e38687fc2c720">itemTitleFont</a></td></tr>
<tr class="memdesc:ac77c5041eabf4225149e38687fc2c720 inherit properties_interface_x_h_x_tabbar"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">标题字体  <a href="interface_x_h_x_tabbar.html#ac77c5041eabf4225149e38687fc2c720">更多...</a><br/></td></tr>
<tr class="separator:ac77c5041eabf4225149e38687fc2c720 inherit properties_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:aeac3462e1729b0f49caef4ac500dd88b inherit properties_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">UIFont *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#aeac3462e1729b0f49caef4ac500dd88b">itemTitleSelectedFont</a></td></tr>
<tr class="memdesc:aeac3462e1729b0f49caef4ac500dd88b inherit properties_interface_x_h_x_tabbar"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">选中时标题字体  <a href="interface_x_h_x_tabbar.html#aeac3462e1729b0f49caef4ac500dd88b">更多...</a><br/></td></tr>
<tr class="separator:aeac3462e1729b0f49caef4ac500dd88b inherit properties_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ab764aa5e1e88498b4012b3699337fcdb inherit properties_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">UIColor *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#ab764aa5e1e88498b4012b3699337fcdb">badgeBackgroundColor</a></td></tr>
<tr class="memdesc:ab764aa5e1e88498b4012b3699337fcdb inherit properties_interface_x_h_x_tabbar"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">badge背景颜色  <a href="interface_x_h_x_tabbar.html#ab764aa5e1e88498b4012b3699337fcdb">更多...</a><br/></td></tr>
<tr class="separator:ab764aa5e1e88498b4012b3699337fcdb inherit properties_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a2f016a28a26a1fd8ee49b0b07101fb28 inherit properties_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">UIColor *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#a2f016a28a26a1fd8ee49b0b07101fb28">badgeTitleColor</a></td></tr>
<tr class="memdesc:a2f016a28a26a1fd8ee49b0b07101fb28 inherit properties_interface_x_h_x_tabbar"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">badge标题颜色  <a href="interface_x_h_x_tabbar.html#a2f016a28a26a1fd8ee49b0b07101fb28">更多...</a><br/></td></tr>
<tr class="separator:a2f016a28a26a1fd8ee49b0b07101fb28 inherit properties_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a264e6def38d8e0635b5ce807d06b2072 inherit properties_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">UIFont *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#a264e6def38d8e0635b5ce807d06b2072">badgeTitleFont</a></td></tr>
<tr class="memdesc:a264e6def38d8e0635b5ce807d06b2072 inherit properties_interface_x_h_x_tabbar"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">badge标题字体  <a href="interface_x_h_x_tabbar.html#a264e6def38d8e0635b5ce807d06b2072">更多...</a><br/></td></tr>
<tr class="separator:a264e6def38d8e0635b5ce807d06b2072 inherit properties_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a80c7d1daf6a886d7ccc58dd4b171d2bc inherit properties_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#a80c7d1daf6a886d7ccc58dd4b171d2bc">leadAndTrailSpace</a></td></tr>
<tr class="memdesc:a80c7d1daf6a886d7ccc58dd4b171d2bc inherit properties_interface_x_h_x_tabbar"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">tabbar边缘 与第一个和最后一个item的距离  <a href="interface_x_h_x_tabbar.html#a80c7d1daf6a886d7ccc58dd4b171d2bc">更多...</a><br/></td></tr>
<tr class="separator:a80c7d1daf6a886d7ccc58dd4b171d2bc inherit properties_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:aa30963ce3b7efe12b4ac1aaa5cd4576d inherit properties_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">NSUInteger&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#aa30963ce3b7efe12b4ac1aaa5cd4576d">selectedItemIndex</a></td></tr>
<tr class="memdesc:aa30963ce3b7efe12b4ac1aaa5cd4576d inherit properties_interface_x_h_x_tabbar"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">选中的item下标  <a href="interface_x_h_x_tabbar.html#aa30963ce3b7efe12b4ac1aaa5cd4576d">更多...</a><br/></td></tr>
<tr class="separator:aa30963ce3b7efe12b4ac1aaa5cd4576d inherit properties_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a6d7c7009a39cdd2cded173d48404f97f inherit properties_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#a6d7c7009a39cdd2cded173d48404f97f">itemWidth</a></td></tr>
<tr class="separator:a6d7c7009a39cdd2cded173d48404f97f inherit properties_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a9ce3f2ef86b0a4eed4776e3715953718 inherit properties_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#a9ce3f2ef86b0a4eed4776e3715953718">itemHeight</a></td></tr>
<tr class="separator:a9ce3f2ef86b0a4eed4776e3715953718 inherit properties_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a65f1a73400a0b6b7cf9e1f430833f2c2 inherit properties_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">CGFloat&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#a65f1a73400a0b6b7cf9e1f430833f2c2">itemMinWidth</a></td></tr>
<tr class="separator:a65f1a73400a0b6b7cf9e1f430833f2c2 inherit properties_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a8a713b28a4ef3367938759b64efbc760 inherit properties_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">UIEdgeInsets&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#a8a713b28a4ef3367938759b64efbc760">indicatorInsets</a></td></tr>
<tr class="separator:a8a713b28a4ef3367938759b64efbc760 inherit properties_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a1522de75a9e78fe1fe820877373d8a74 inherit properties_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">XHXTabBarIndicatorAnimationStyle&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#a1522de75a9e78fe1fe820877373d8a74">indicatorAnimationStyle</a></td></tr>
<tr class="memdesc:a1522de75a9e78fe1fe820877373d8a74 inherit properties_interface_x_h_x_tabbar"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">指示器的动画类型  <a href="interface_x_h_x_tabbar.html#a1522de75a9e78fe1fe820877373d8a74">更多...</a><br/></td></tr>
<tr class="separator:a1522de75a9e78fe1fe820877373d8a74 inherit properties_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:aae5cce7a2b27e4db3c70b9d2ddd5995d inherit properties_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">BOOL&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#aae5cce7a2b27e4db3c70b9d2ddd5995d">itemFontChangeFollowContentScroll</a></td></tr>
<tr class="separator:aae5cce7a2b27e4db3c70b9d2ddd5995d inherit properties_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a60c87b42e1e32a34e91e0cecbbda8e99 inherit properties_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">BOOL&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#a60c87b42e1e32a34e91e0cecbbda8e99">itemColorChangeFollowContentScroll</a></td></tr>
<tr class="separator:a60c87b42e1e32a34e91e0cecbbda8e99 inherit properties_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a5d6a4f150b7cdfcbcc85d5849471c5e9 inherit properties_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">BOOL&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#a5d6a4f150b7cdfcbcc85d5849471c5e9">indicatorScrollFollowContent</a></td></tr>
<tr class="separator:a5d6a4f150b7cdfcbcc85d5849471c5e9 inherit properties_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a337605c55ffd23d8e2e7990130ae9f9f inherit properties_interface_x_h_x_tabbar"><td class="memItemLeft" align="right" valign="top">BOOL&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_tabbar.html#a337605c55ffd23d8e2e7990130ae9f9f">itemContentHorizontalCenter</a></td></tr>
<tr class="separator:a337605c55ffd23d8e2e7990130ae9f9f inherit properties_interface_x_h_x_tabbar"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">函数文档</h2>
<a id="a5ef0ade305a8f9da3f7d38f539886b45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ef0ade305a8f9da3f7d38f539886b45">◆&nbsp;</a></span>tabBar</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (instancetype) tabBar </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<hr/>该类的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/Base/View/<a class="el" href="_k_o_tab_bar_8h_source.html">KOTabBar.h</a></li>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/Base/View/<a class="el" href="_k_o_tab_bar_8m.html">KOTabBar.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="interface_k_o_tab_bar.html">KOTabBar</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>